Subject: Re: [PATCH] powerpc: Kconfig.cputype: Disallow TUNE_CELL on LE systems

From: Michael Ellerman <[email-masked]>
Date: Mon, 21 Sep 2015 17:18:46 +1000

On Fri, 2015-09-18 at 16:17 +0200, Thomas Huth wrote:
> It looks somewhat weird that you can enable TUNE_CELL on little
> endian systems, so let's disable this option with CPU_LITTLE_ENDIAN.
> 
> Signed-off-by: Thomas Huth <[email-masked]>
> ---
>  I first thought that it might be better to make this option depend
>  on PPC_CELL instead ... but I guess it's a bad idea to depend a
>  CPU option on a platform option? Alternatively, would it make
>  sense to make it depend on (GENERIC_CPU || CELL_CPU) instead?

Hmm, it's a little backward, but I think it would be fine, and less confusing
for users. Both PS3 and Cell select PPC_CELL, so it would work in both those
cases.

cheers